/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package floyd.algorithm;

import org.junit.Test;
import static org.junit.Assert.*;

public class AppTest {
    @Test 
    public void testNaiveShouldBeTrue() {
        App classUnderTest = new App();
        assertTrue(classUnderTest.doubleNaive("azertyuiopqsdfghjklmwxcvbna"));
    }

    @Test
    public void testNaiveShouldBeFalse() {
        App classUnderTest = new App();
        assertFalse(classUnderTest.doubleNaive("azertyuiopqsdfghjklmwxcvbn"));
    }

    @Test 
    public void testWithMapShouldBeTrue() {
        App classUnderTest = new App();
        assertTrue(classUnderTest.doubleWithMap("azertyuiopqsdfghjklmwxcvbna"));
    }

    @Test
    public void testWithMapShouldBeFalse() {
        App classUnderTest = new App();
        assertFalse(classUnderTest.doubleWithMap("azertyuiopqsdfghjklmwxcvbn"));
    }

    @Test
    public void testWithSortShouldBeTrue() {
        App classUnderTest = new App();
        assertTrue(classUnderTest.doubleWithSort("azertyuiopqsdfghjklmwxcvbna"));
    }

    @Test
    public void testWithSortShouldBeFalse() {
        App classUnderTest = new App();
        assertFalse(classUnderTest.doubleWithSort("azertyuiopqsdfghjklmwxcvbn"));
    }

    @Test
    public void testWithFloydShouldBeTrue() {
        App classUnderTest = new App();
        assertTrue(classUnderTest.floyd("azertyuiopqsdfghjklmwxcvbna"));
    }

    @Test
    public void testWithFloydShouldBeFalse() {
        App classUnderTest = new App();
        assertFalse(classUnderTest.floyd("azertyuiopqsdfghjklmwxcvbn"));
    }

    @Test
    public void testWithFloydShouldBeTrue2() {
        App classUnderTest = new App();
        assertTrue(classUnderTest.floyd("toto"));
    }
}
